import React, { useMemo } from 'react';
import { scaleSqrt, max } from 'd3';
import { Marks } from './Marks';

const sizeValue = (d) => d['Total Dead ans Missing'];
const maxRadius = 10;

// {} body for javascript and return() jsx object
export const BubbleMap = ({
  data,
  filteredData,
  worldAtlas,
}) => {
  // Square root scale, because we're mapping to area
  const sizeScale = useMemo(
    () =>
      scaleSqrt()
        .domain([0, max(data, sizeValue)])
        .range([0, maxRadius]),
    [data, sizeValue, maxRadius]
  );

  return (
    <Marks
      worldAtlas={worldAtlas}
      cities={filteredData}
      sizeScale={sizeScale}
      sizeValue={sizeValue}
    />
  );
};
